import { NamedNode } from 'lincd/lib/models';
export declare var loadData: () => Promise<import("lincd-jsonld/lib/utils/JSONLD").JSONLDParseResult>;
export declare var ns: (term: any) => NamedNode;
export declare var _self: NamedNode;
export declare var AgentClass: NamedNode;
export declare var Agent: NamedNode;
export declare var BibliographicResource: NamedNode;
export declare var FileFormat: NamedNode;
export declare var Frequency: NamedNode;
export declare var Jurisdiction: NamedNode;
export declare var LicenseDocument: NamedNode;
export declare var LinguisticSystem: NamedNode;
export declare var Location: NamedNode;
export declare var LocationPeriodOrJurisdiction: NamedNode;
export declare var MediaType: NamedNode;
export declare var MediaTypeOrExtent: NamedNode;
export declare var MethodOfAccrual: NamedNode;
export declare var MethodOfInstruction: NamedNode;
export declare var PeriodOfTime: NamedNode;
export declare var PhysicalMedium: NamedNode;
export declare var PhysicalResource: NamedNode;
export declare var Policy: NamedNode;
export declare var ProvenanceStatement: NamedNode;
export declare var RightsStatement: NamedNode;
export declare var SizeOrDuration: NamedNode;
export declare var Standard: NamedNode;
export declare var abstract: NamedNode;
export declare var accessRights: NamedNode;
export declare var accrualMethod: NamedNode;
export declare var accrualPeriodicity: NamedNode;
export declare var accrualPolicy: NamedNode;
export declare var alternative: NamedNode;
export declare var audience: NamedNode;
export declare var available: NamedNode;
export declare var bibliographicCitation: NamedNode;
export declare var conformsTo: NamedNode;
export declare var contributor: NamedNode;
export declare var coverage: NamedNode;
export declare var created: NamedNode;
export declare var creator: NamedNode;
export declare var date: NamedNode;
export declare var dateAccepted: NamedNode;
export declare var dateCopyrighted: NamedNode;
export declare var dateSubmitted: NamedNode;
export declare var description: NamedNode;
export declare var educationLevel: NamedNode;
export declare var extent: NamedNode;
export declare var format: NamedNode;
export declare var hasFormat: NamedNode;
export declare var hasPart: NamedNode;
export declare var hasVersion: NamedNode;
export declare var identifier: NamedNode;
export declare var instructionalMethod: NamedNode;
export declare var isFormatOf: NamedNode;
export declare var isPartOf: NamedNode;
export declare var isReferencedBy: NamedNode;
export declare var isReplacedBy: NamedNode;
export declare var isRequiredBy: NamedNode;
export declare var issued: NamedNode;
export declare var isVersionOf: NamedNode;
export declare var language: NamedNode;
export declare var license: NamedNode;
export declare var mediator: NamedNode;
export declare var medium: NamedNode;
export declare var modified: NamedNode;
export declare var provenance: NamedNode;
export declare var publisher: NamedNode;
export declare var references: NamedNode;
export declare var relation: NamedNode;
export declare var replaces: NamedNode;
export declare var requires: NamedNode;
export declare var rights: NamedNode;
export declare var rightsHolder: NamedNode;
export declare var source: NamedNode;
export declare var spatial: NamedNode;
export declare var subject: NamedNode;
export declare var tableOfContents: NamedNode;
export declare var temporal: NamedNode;
export declare var title: NamedNode;
export declare var type: NamedNode;
export declare var valid: NamedNode;
export declare var Image: NamedNode;
export declare const dcterms: {
    abstract: NamedNode;
    accessRights: NamedNode;
    accrualMethod: NamedNode;
    accrualPeriodicity: NamedNode;
    accrualPolicy: NamedNode;
    alternative: NamedNode;
    audience: NamedNode;
    available: NamedNode;
    bibliographicCitation: NamedNode;
    conformsTo: NamedNode;
    contributor: NamedNode;
    coverage: NamedNode;
    created: NamedNode;
    creator: NamedNode;
    date: NamedNode;
    dateAccepted: NamedNode;
    dateCopyrighted: NamedNode;
    dateSubmitted: NamedNode;
    description: NamedNode;
    educationLevel: NamedNode;
    extent: NamedNode;
    format: NamedNode;
    hasFormat: NamedNode;
    hasPart: NamedNode;
    hasVersion: NamedNode;
    identifier: NamedNode;
    instructionalMethod: NamedNode;
    isFormatOf: NamedNode;
    isPartOf: NamedNode;
    isReferencedBy: NamedNode;
    isReplacedBy: NamedNode;
    isRequiredBy: NamedNode;
    issued: NamedNode;
    isVersionOf: NamedNode;
    language: NamedNode;
    license: NamedNode;
    mediator: NamedNode;
    medium: NamedNode;
    modified: NamedNode;
    provenance: NamedNode;
    publisher: NamedNode;
    references: NamedNode;
    relation: NamedNode;
    replaces: NamedNode;
    requires: NamedNode;
    rights: NamedNode;
    rightsHolder: NamedNode;
    source: NamedNode;
    spatial: NamedNode;
    subject: NamedNode;
    tableOfContents: NamedNode;
    temporal: NamedNode;
    title: NamedNode;
    type: NamedNode;
    valid: NamedNode;
    Agent: NamedNode;
    AgentClass: NamedNode;
    BibliographicResource: NamedNode;
    FileFormat: NamedNode;
    Frequency: NamedNode;
    Jurisdiction: NamedNode;
    LicenseDocument: NamedNode;
    LinguisticSystem: NamedNode;
    Location: NamedNode;
    LocationPeriodOrJurisdiction: NamedNode;
    MediaType: NamedNode;
    MediaTypeOrExtent: NamedNode;
    MethodOfAccrual: NamedNode;
    MethodOfInstruction: NamedNode;
    PeriodOfTime: NamedNode;
    PhysicalMedium: NamedNode;
    PhysicalResource: NamedNode;
    Policy: NamedNode;
    ProvenanceStatement: NamedNode;
    RightsStatement: NamedNode;
    SizeOrDuration: NamedNode;
    Standard: NamedNode;
};
